org.apache.ignite.internal.util

## Class GridPartitionStateMap

- java.lang.Object
- - java.util.AbstractMap<Integer,GridDhtPartitionState>
  - - org.apache.ignite.internal.util.GridPartitionStateMap

All Implemented Interfaces:
  Serializable, Map<Integer,GridDhtPartitionState>

    public class GridPartitionStateMap
    extends AbstractMap<Integer,GridDhtPartitionState>
    implements Serializable

Grid partition state map. States are encoded using bits.

Null values are prohibited.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

Fields
`static GridPartitionStateMap` `EMPTY` Empty map.

### Constructor Summary

Constructors
Constructor and Description
`GridPartitionStateMap()` Default constructor.
`GridPartitionStateMap(GridPartitionStateMap from, boolean onlyActive)` Creates map copy.
`GridPartitionStateMap(int parts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey(Object key)`
`Set<Map.Entry<Integer,GridDhtPartitionState>>` `entrySet()`
`boolean` `equals(Object o)`
`GridDhtPartitionState` `get(Object key)`
`int` `hashCode()`
`GridDhtPartitionState` `put(Integer key, GridDhtPartitionState val)`
`GridDhtPartitionState` `remove(Object key)`
`int` `size()`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsValue, isEmpty, keySet, putAll, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Field Detail

#### EMPTY

    public static final GridPartitionStateMap EMPTY

Empty map.

### Constructor Detail

#### GridPartitionStateMap

    public GridPartitionStateMap()

Default constructor.

#### GridPartitionStateMap

    public GridPartitionStateMap(int parts)

Parameters:
  `parts` - Partitions to hold.

#### GridPartitionStateMap

    public GridPartitionStateMap(GridPartitionStateMap from,
                                 boolean onlyActive)

Creates map copy.

Parameters:
  `from` - Source map.
  `onlyActive` - Retains only active partitions.

### Method Detail

#### entrySet

    public Set<Map.Entry<Integer,GridDhtPartitionState>> entrySet()

Specified by:
  `entrySet` in interface `Map<Integer,GridDhtPartitionState>`
Specified by:
  `entrySet` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### put

    public GridDhtPartitionState put(Integer key,
                                     GridDhtPartitionState val)

Specified by:
  `put` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `put` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### get

    public GridDhtPartitionState get(Object key)

Specified by:
  `get` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `get` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### remove

    public GridDhtPartitionState remove(Object key)

Specified by:
  `remove` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `remove` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `containsKey` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### size

    public int size()

Specified by:
  `size` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `size` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `equals` in class `AbstractMap<Integer,GridDhtPartitionState>`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map<Integer,GridDhtPartitionState>`
Overrides:
  `hashCode` in class `AbstractMap<Integer,GridDhtPartitionState>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020